CPBM(1)

NAME
cpbm - a software analysis toolkit (originally: CPROVER benchmarking framework)

SYNOPSIS
cpbm sub-command [options] ...

DESCRIPTION
This manual page documents briefly the cpbm command.

cpbm provides access to a collection of scripts and tools to benchmark software analysis tools.

SUB-COMMANDS
The following sub-commands are available; each of them has its own set of options that are shown by cpbm command --help.

help | --help
    Display the cpbm help text.

--version
    Display the current version.

home
    Print the path where cpbm scripts reside.

unpack
    Unpack a CPROVER benchmark package.

update
    Update a CPROVER benchmark package.

init
    Create a CPROVER benchmark package.

run Run a verification tool on a given benchmark and obtain logs.

cillify
    Run C sources through Cil.

list-claims
    List all claims in a benchmark.

csv Produce a CSV table from benchmark runs.

table
    Produce a LaTeX table from CSV.

graph
    Produce GNUplot scripts for box and scatter plots.

web Generate HTML table and collect log files for web publication

SEE ALSO
The programs are documented fully by /usr/share/doc/bmt/README.gz

AUTHOR
cpbm was written by Michael Tautschnig <michael.tautschnig@comlab.ox.ac.uk>.

This manual page was written by Michael Tautschnig <mt@debian.org>, for the Debian project (and may be used by others).